// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_mobile/database.proto

package dictionary_mobile

import (
	_ "github.com/golang/protobuf/ptypes/empty"
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/adhocguru/fcp/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GetDbVersionRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *GetDbVersionRequest) Reset() {
	*x = GetDbVersionRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_mobile_database_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetDbVersionRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDbVersionRequest) ProtoMessage() {}

func (x *GetDbVersionRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_mobile_database_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDbVersionRequest.ProtoReflect.Descriptor instead.
func (*GetDbVersionRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_mobile_database_proto_rawDescGZIP(), []int{0}
}

type GetDbVersionResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Version string `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	Id      int64  `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetDbVersionResponse) Reset() {
	*x = GetDbVersionResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_mobile_database_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetDbVersionResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDbVersionResponse) ProtoMessage() {}

func (x *GetDbVersionResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_mobile_database_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDbVersionResponse.ProtoReflect.Descriptor instead.
func (*GetDbVersionResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_mobile_database_proto_rawDescGZIP(), []int{1}
}

func (x *GetDbVersionResponse) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *GetDbVersionResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type DownloadDbRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Version of file
	FileVersion string `protobuf:"bytes,1,opt,name=file_version,json=fileVersion,proto3" json:"file_version,omitempty"`
	// Id of file
	FileId *wrappers.Int64Value `protobuf:"bytes,3,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
	// Number of file part
	FilePart int32 `protobuf:"varint,2,opt,name=file_part,json=filePart,proto3" json:"file_part,omitempty"`
}

func (x *DownloadDbRequest) Reset() {
	*x = DownloadDbRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_mobile_database_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadDbRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadDbRequest) ProtoMessage() {}

func (x *DownloadDbRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_mobile_database_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadDbRequest.ProtoReflect.Descriptor instead.
func (*DownloadDbRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_mobile_database_proto_rawDescGZIP(), []int{2}
}

func (x *DownloadDbRequest) GetFileVersion() string {
	if x != nil {
		return x.FileVersion
	}
	return ""
}

func (x *DownloadDbRequest) GetFileId() *wrappers.Int64Value {
	if x != nil {
		return x.FileId
	}
	return nil
}

func (x *DownloadDbRequest) GetFilePart() int32 {
	if x != nil {
		return x.FilePart
	}
	return 0
}

type DownloadDbResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	File *dictionary_common.File `protobuf:"bytes,1,opt,name=file,proto3" json:"file,omitempty"`
}

func (x *DownloadDbResponse) Reset() {
	*x = DownloadDbResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_mobile_database_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadDbResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadDbResponse) ProtoMessage() {}

func (x *DownloadDbResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_mobile_database_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadDbResponse.ProtoReflect.Descriptor instead.
func (*DownloadDbResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_mobile_database_proto_rawDescGZIP(), []int{3}
}

func (x *DownloadDbResponse) GetFile() *dictionary_common.File {
	if x != nil {
		return x.File
	}
	return nil
}

type UploadDbRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Version of file
	Version string `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	// file
	File *dictionary_common.File `protobuf:"bytes,2,opt,name=file,proto3" json:"file,omitempty"`
}

func (x *UploadDbRequest) Reset() {
	*x = UploadDbRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_mobile_database_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadDbRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadDbRequest) ProtoMessage() {}

func (x *UploadDbRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_mobile_database_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadDbRequest.ProtoReflect.Descriptor instead.
func (*UploadDbRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_mobile_database_proto_rawDescGZIP(), []int{4}
}

func (x *UploadDbRequest) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *UploadDbRequest) GetFile() *dictionary_common.File {
	if x != nil {
		return x.File
	}
	return nil
}

type UploadDbResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UploadDbResponse) Reset() {
	*x = UploadDbResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_mobile_database_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadDbResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadDbResponse) ProtoMessage() {}

func (x *UploadDbResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_mobile_database_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadDbResponse.ProtoReflect.Descriptor instead.
func (*UploadDbResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_mobile_database_proto_rawDescGZIP(), []int{5}
}

var File_v1_dictionary_mobile_database_proto protoreflect.FileDescriptor

var file_v1_dictionary_mobile_database_proto_rawDesc = []byte{
	0x0a, 0x23, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2f, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x23, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74,
	0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x66,
	0x69, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x15, 0x0a, 0x13, 0x47, 0x65, 0x74,
	0x44, 0x62, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x22, 0x40, 0x0a, 0x14, 0x47, 0x65, 0x74, 0x44, 0x62, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02,
	0x69, 0x64, 0x22, 0x89, 0x01, 0x0a, 0x11, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x44,
	0x62, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x66, 0x69, 0x6c, 0x65,
	0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x66, 0x69, 0x6c, 0x65, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x34, 0x0a, 0x07, 0x66,
	0x69, 0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49,
	0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49,
	0x64, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x70, 0x61, 0x72, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x50, 0x61, 0x72, 0x74, 0x22, 0x53,
	0x0a, 0x12, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3d, 0x0a, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x66,
	0x69, 0x6c, 0x65, 0x22, 0x6a, 0x0a, 0x0f, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x12, 0x3d, 0x0a, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x29,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x22,
	0x12, 0x0a, 0x10, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x32, 0x8f, 0x03, 0x0a, 0x0f, 0x4d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x44, 0x62,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x83, 0x01, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x44,
	0x62, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x38, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x47,
	0x65, 0x74, 0x44, 0x62, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x39, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x44, 0x62, 0x56, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7d, 0x0a,
	0x0a, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x12, 0x36, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2e, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f,
	0x61, 0x64, 0x44, 0x62, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x77, 0x0a, 0x08,
	0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x12, 0x34, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x55,
	0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x35,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x6f,
	0x62, 0x69, 0x6c, 0x65, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x62, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x76, 0x0a, 0x2c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d,
	0x6f, 0x62, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x41, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63,
	0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_mobile_database_proto_rawDescOnce sync.Once
	file_v1_dictionary_mobile_database_proto_rawDescData = file_v1_dictionary_mobile_database_proto_rawDesc
)

func file_v1_dictionary_mobile_database_proto_rawDescGZIP() []byte {
	file_v1_dictionary_mobile_database_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_mobile_database_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_mobile_database_proto_rawDescData)
	})
	return file_v1_dictionary_mobile_database_proto_rawDescData
}

var file_v1_dictionary_mobile_database_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_dictionary_mobile_database_proto_goTypes = []interface{}{
	(*GetDbVersionRequest)(nil),    // 0: fcp.dictionary.v1.dictionary_mobile.GetDbVersionRequest
	(*GetDbVersionResponse)(nil),   // 1: fcp.dictionary.v1.dictionary_mobile.GetDbVersionResponse
	(*DownloadDbRequest)(nil),      // 2: fcp.dictionary.v1.dictionary_mobile.DownloadDbRequest
	(*DownloadDbResponse)(nil),     // 3: fcp.dictionary.v1.dictionary_mobile.DownloadDbResponse
	(*UploadDbRequest)(nil),        // 4: fcp.dictionary.v1.dictionary_mobile.UploadDbRequest
	(*UploadDbResponse)(nil),       // 5: fcp.dictionary.v1.dictionary_mobile.UploadDbResponse
	(*wrappers.Int64Value)(nil),    // 6: google.protobuf.Int64Value
	(*dictionary_common.File)(nil), // 7: fcp.dictionary.v1.dictionary_common.File
}
var file_v1_dictionary_mobile_database_proto_depIdxs = []int32{
	6, // 0: fcp.dictionary.v1.dictionary_mobile.DownloadDbRequest.file_id:type_name -> google.protobuf.Int64Value
	7, // 1: fcp.dictionary.v1.dictionary_mobile.DownloadDbResponse.file:type_name -> fcp.dictionary.v1.dictionary_common.File
	7, // 2: fcp.dictionary.v1.dictionary_mobile.UploadDbRequest.file:type_name -> fcp.dictionary.v1.dictionary_common.File
	0, // 3: fcp.dictionary.v1.dictionary_mobile.MobileDbService.GetDbVersion:input_type -> fcp.dictionary.v1.dictionary_mobile.GetDbVersionRequest
	2, // 4: fcp.dictionary.v1.dictionary_mobile.MobileDbService.DownloadDb:input_type -> fcp.dictionary.v1.dictionary_mobile.DownloadDbRequest
	4, // 5: fcp.dictionary.v1.dictionary_mobile.MobileDbService.UploadDb:input_type -> fcp.dictionary.v1.dictionary_mobile.UploadDbRequest
	1, // 6: fcp.dictionary.v1.dictionary_mobile.MobileDbService.GetDbVersion:output_type -> fcp.dictionary.v1.dictionary_mobile.GetDbVersionResponse
	3, // 7: fcp.dictionary.v1.dictionary_mobile.MobileDbService.DownloadDb:output_type -> fcp.dictionary.v1.dictionary_mobile.DownloadDbResponse
	5, // 8: fcp.dictionary.v1.dictionary_mobile.MobileDbService.UploadDb:output_type -> fcp.dictionary.v1.dictionary_mobile.UploadDbResponse
	6, // [6:9] is the sub-list for method output_type
	3, // [3:6] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_v1_dictionary_mobile_database_proto_init() }
func file_v1_dictionary_mobile_database_proto_init() {
	if File_v1_dictionary_mobile_database_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_mobile_database_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetDbVersionRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_mobile_database_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetDbVersionResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_mobile_database_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadDbRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_mobile_database_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadDbResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_mobile_database_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadDbRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_mobile_database_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadDbResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_mobile_database_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_dictionary_mobile_database_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_mobile_database_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_mobile_database_proto_msgTypes,
	}.Build()
	File_v1_dictionary_mobile_database_proto = out.File
	file_v1_dictionary_mobile_database_proto_rawDesc = nil
	file_v1_dictionary_mobile_database_proto_goTypes = nil
	file_v1_dictionary_mobile_database_proto_depIdxs = nil
}
